#############
# CIFAR-10 #
#############
python fine_tune.py 'data' --id_dataset 'cifar10' -a resnet50 --method sup --epochs 10 --batch-size 128 --lr 0.1 --cos
python fine_tune.py 'data' --id_dataset 'cifar10' -a resnet50 --method byol --epochs 10 --batch-size 128 --lr 1.0 --cos --ssl_ckpt_path ssl_methods/resnet50_byol_imagenet2012.pth.tar
python fine_tune.py 'data' --id_dataset 'cifar10' -a resnet50 --method swav --epochs 10 --batch-size 128 --lr 1.0 --cos --ssl_ckpt_path ssl_methods/swav_200ep_pretrain.pth.tar
python fine_tune.py 'data' --id_dataset 'cifar10' -a resnet50 --method moco --epochs 20 --batch-size 128 --lr 15.0 --cos --ssl_ckpt_path ssl_methods/moco_v2_200ep_pretrain.pth.tar

python fine_tune.py 'data' --id_dataset 'cifar10' -a vit-s --method sup --epochs 10 --batch-size 128 --optim adamw --lr 1e-3 --cos
python fine_tune.py 'data' --id_dataset 'cifar10' -a vit-s --method ibot --epochs 10 --batch-size 128 --optim adamw --lr 1e-3 --cos --ssl_ckpt_path ssl_methods/checkpoint_teacher.pth
python fine_tune.py 'data' --id_dataset 'cifar10' -a vit-s --method dino --epochs 10 --batch-size 128 --optim adamw --lr 5e-4 --cos --ssl_ckpt_path ssl_methods/dino_deitsmall16_pretrain.pth


#############
# CIFAR-100 #
#############
python fine_tune.py 'data' --id_dataset 'cifar100' -a resnet50 --method sup --epochs 10 --batch-size 128 --lr 0.5 --cos
python fine_tune.py 'data' --id_dataset 'cifar100' -a resnet50 --method byol --epochs 10 --batch-size 128 --lr 1.0 --cos --ssl_ckpt_path ssl_methods/resnet50_byol_imagenet2012.pth.tar
python fine_tune.py 'data' --id_dataset 'cifar100' -a resnet50 --method swav --epochs 10 --batch-size 128 --lr 1.0 --cos --ssl_ckpt_path ssl_methods/swav_200ep_pretrain.pth.tar
python fine_tune.py 'data' --id_dataset 'cifar100' -a resnet50 --method moco --epochs 20 --batch-size 128 --lr 30.0 --cos --ssl_ckpt_path ssl_methods/moco_v2_200ep_pretrain.pth.tar

python fine_tune.py 'data' --id_dataset 'cifar100' -a vit-s --method sup --epochs 10 --batch-size 128 --optim adamw --lr 1e-3 --cos
python fine_tune.py 'data' --id_dataset 'cifar100' -a vit-s --method ibot --epochs 10 --batch-size 128 --optim adamw --lr 1e-3 --cos --ssl_ckpt_path ssl_methods/checkpoint_teacher.pth
python fine_tune.py 'data' --id_dataset 'cifar100' -a vit-s --method dino --epochs 10 --batch-size 128 --optim adamw --lr 5e-4 --cos --ssl_ckpt_path ssl_methods/dino_deitsmall16_pretrain.pth
